package cn.com.qmth.stmms.ms.admin.api;

import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 质量分析报表controller
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/11/8
 */
//@Api(tags = "质量分析报表接口controller")
@RestController
@RequestMapping("api/quality")
public class QualityAnalyseController {

    /**
     * 档位占比报表
     *
     * @param workId
     * @param subject
     * @param areaCode
     * @param startTime
     * @param endTime
     */
//    @ApiOperation(value = "档位占比报表接口")
    @RequestMapping(value = "levelsPropReport", method = RequestMethod.GET)
    public void levelsPropReport(
//            @ApiParam(value = "workId", required = true)
            @RequestParam Long workId,
//            @ApiParam(value = "科目", required = true)
            @RequestParam Subject subject,
//            @ApiParam(value = "考点", required = true)
            @RequestParam String areaCode,
//            @ApiParam(value = "开始时间", required = false)
            @RequestParam(required = false) String startTime,
//            @ApiParam(value = "结束时间", required = false)
            @RequestParam(required = false) String endTime) {

    }

    /**
     * 打回次数报表
     *
     * @param workId
     * @param subject
     * @param areaCode
     * @param startTime
     * @param endTime
     */
//    @ApiOperation(value = "打回次数报表接口")
    @RequestMapping(value = "callbackReport", method = RequestMethod.GET)
    public void callbackReport(
//            @ApiParam(value = "workId", required = true)
            @RequestParam Long workId,
//            @ApiParam(value = "科目", required = true)
            @RequestParam Subject subject,
//            @ApiParam(value = "考点", required = true)
            @RequestParam String areaCode,
//            @ApiParam(value = "开始时间", required = false)
            @RequestParam(required = false) String startTime,
//            @ApiParam(value = "结束时间", required = false)
            @RequestParam(required = false) String endTime) {

    }

    /**
     * 差值和报表
     *
     * @param workId
     * @param subject
     * @param areaCode
     * @param startTime
     * @param endTime
     */
//    @ApiOperation(value = "差值和报表接口")
    @RequestMapping(value = "distanceReport", method = RequestMethod.GET)
    public void distanceReport(
//            @ApiParam(value = "workId", required = true)
            @RequestParam Long workId,
//            @ApiParam(value = "科目", required = true)
            @RequestParam Subject subject,
//            @ApiParam(value = "考点", required = true)
            @RequestParam String areaCode,
//            @ApiParam(value = "开始时间", required = false)
            @RequestParam(required = false) String startTime,
//            @ApiParam(value = "结束时间", required = false)
            @RequestParam(required = false) String endTime) {

    }
}
